System.register(['src/components/halo/lively-halo-item.js'], function (_export, _context) {
  "use strict";

  var HaloItem;
  return {
    setters: [function (_srcComponentsHaloLivelyHaloItemJs) {
      HaloItem = _srcComponentsHaloLivelyHaloItemJs.default;
    }],
    execute: function () {
      _recorder_._src_components_halo_lively_halo_menu_item_js = _recorder_._src_components_halo_lively_halo_menu_item_js || {};
      _recorder_._src_components_halo_lively_halo_menu_item_js.HaloItem = HaloItem;
      class HaloMenuItem extends _recorder_._src_components_halo_lively_halo_menu_item_js.HaloItem {

        onClick(evt) {
          var inspectTarget = window.that;
          lively.openContextMenu(document.body, evt, inspectTarget);
          this.hideHalo();
        }
      }

      _export('default', HaloMenuItem);

      _recorder_._src_components_halo_lively_halo_menu_item_js.HaloMenuItem = HaloMenuItem;
    }
  };
});